## org.apache.taglibs.standard.tag.rt.xml
Class ParamTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.xml.ParamSupport
                  org.apache.taglibs.standard.tag.rt.xml.ParamTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class ParamTag

extends ParamSupport

A handler for <param> that supports rtexprvalue-based attributes.

Author:
  Shawn Bayern
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.xml.ParamSupport
`name, value`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ParamTag()`

Method Summary
`void` `setName(String name)`
`void` `setValue(Object value)`

Methods inherited from class org.apache.taglibs.standard.tag.common.xml.ParamSupport
`doEndTag, release`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### ParamTag

    public ParamTag()

Method Detail

### setName

    public void setName(String name)
                 throws JspTagException

  Throws:
    `JspTagException`

### setValue

    public void setValue(Object value)
                  throws JspTagException

  Throws:
    `JspTagException`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.